apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: persons-ingress
  annotations:
    nginx.ingress.kubernetes.io/rewrite-target: /$2
spec:
  rules:
    - http:
        paths:
          - path:  /myapp(/|$)(.*)
            pathType: Prefix
            backend:
              service:
                name: persons-service
                port:
                  number: 80